#!/bin/sh
# Copyright © 2018-2019 Collabora Ltd
# SPDX-License-Identifier: BSD-3-Clause
# (See debian/copyright)

set -e
set -u

n=0
for shell_script in \
        tests/*.sh \
        tests/sdk/*.t \
        ; do
    n=$((n + 1))
    if bash -n "$shell_script"; then
        echo "ok $n - $shell_script"
    else
        echo "not ok $n # TODO - $shell_script"
    fi
done

echo "1..$n"
